/* Обвертка модального окна */
.manager-modal__wrapper {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.4);

    display: none;
    justify-content: center;
    align-items: center;
    z-index: 5; /* Выше навигации */
}

/* Само модальное окно, нужно для прокрутки на мобиле */
.manager-modal {
    background-color: #FFFFFF;
    border-radius: 20px;
}

/* Контент модального окна */
.manager-modal__content {
    width: min(560px, 100%);
    box-sizing: border-box;
    padding: 32px;
    display: flex;
    flex-direction: column;
    gap: 28px;
    
    margin: 0 auto;
}

.manager-modal__title {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.manager-modal__title .p1-strong {
    font-size: 20px;
    text-transform: uppercase;
}

/* Кнопка закрытия модального окна */
.manager-modal__close-button {
    width: 32px;
    height: 32px;

    opacity: .7;
    transition: .15s all;
    cursor: pointer;
}

/* Кнопка закрытия модального окна */
/* Кнопка внутри инпута с информацией */
@media (hover: hover) {
    .manager-modal__close-button:hover,
    .manager-input__wrapper-img:hover {
        opacity: 1;
    }
}

@media (hover: none) {
    .manager-modal__close-button:active,
    .manager-input__wrapper-img:active {
        opacity: 1;
    }
}


/* Форма ввода данных */
.manager-modal__form {
    display: flex;
    flex-direction: column;
    gap: 24px;
}

/* Инпуты с информацией */
.manager-input {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.manager-input label {
    font-weight: 500;
}

.manager-input input {
    height: 40px;
    width: 100%;
    padding: 0 16px;
    box-sizing: border-box;
    font-size: 20px;

    border: 1px solid #bd92ce;
    border-radius: 10px;
}

.manager-input input:read-only {
    color: rgba(0, 0, 0, 0.5);
}

/* Если инпут обвернут, то в нем есть картинка справа */
.manager-input__wrapper {
    width: 100%;
    position: relative;
}

/* Увеличиваем отступ от правого края */
.manager-input__wrapper input {
    padding-right: 50px;
}

/* Картинка поверх инпута */
.manager-input__wrapper-img {
    width: 20px;
    height: 20px;
    position: absolute;
    top: 10px;
    right: 16px;

    opacity: .7;
    transition: .15s all;
    cursor: pointer;
}

/* Чекбокс */
.manager-input__checkbox-wrapper {
    display: flex;
    align-items: center;
    gap: 8px;
}

/* Скрываем сам чекбокс */
.manager-input__checkbox-wrapper input[type="checkbox"] {
    display: none;
}

.manager-input-checkbox {
    width: 20px;
    height: 20px;
    border-radius: 8px;
    border: 1px solid #bd92ce;
    position: relative;
    cursor: pointer;
}

.manager-input__checkbox-wrapper input[type="checkbox"]:checked ~ .manager-input-checkbox {
    background-image: url("/assets/admin/checkbox.svg");
    background-repeat: no-repeat;
}


/* Кнопки Отменить и Сохранить */
.manager-modal__buttons {
    display: flex;
    gap: 20px;
    margin: 24px auto 0 auto;
}

.manager-modal__buttons button {
    width: 238px;
    height: 40px;

    font-size: 20px;
    border-radius: 10px;
    
}

/* Кнопка Сохранить */
.manager-modal__button-submit {
    color: #ffffff !important;
}

/* Кнопка отмены */
.manager-modal__button-cancel {
    background-color: transparent;
    border: 2px solid #bd92ce;
    color: #bd92ce !important;
}

@media (hover: hover) {
    .manager-modal__button-cancel:hover {
        color: #ffffff !important;
        background-color: #000000;
        border-color: #000000;
    }
}

@media (hover: none) {
    .manager-modal__button-cancel:active {
        color: #ffffff !important;
        background-color: #000000;
        border-color: #000000;
    }
}

.manager-modal__error {
    display: none;
    color: red;
    font-size: 16px;
    margin-bottom: -24px;
}